View Issue Details

IDProjectCategoryView StatusLast Update
0006720Multi Theft Auto : San AndreasResourcespublic2011-12-16 23:26
ReporterTreNAssigned ToarranTuna 
PrioritynormalSeverityminorReproducibilityrandom
Status resolvedResolutionfixed 
PlatformPCOSWindows 7OS Version
Product Version 
Target Version1.2Fixed in Version1.2 
Summary0006720: Few errors and warnings of resources
Description

Few errors and warnings of resources which i found

[2011-12-11 22:01:55] WARNING: mapcycler/list_mode.lua(Line 205) [Server] canPlayerUseFunction no longer works. Please manually update this. Refer to the wiki for details

[2011-12-11 22:02:55] WARNING: admin2/server/admin_sync.lua(Line 19) [Server] isPedFrozen is deprecated and may not work in future versions. Please replace with isElementFrozen

[2011-12-11 22:02:56] WARNING: mapcycler/list_mode.lua(Line 205) [Server] canPlayerUseFunction no longer works. Please manually update this. Refer to the wiki for details
[2011-12-11 22:02:57] WARNING: race/modes/base.lua(Line 448) [Server] setVehicleFrozen is deprecated and may not work in future versions. Please replace with setElementFrozen.
[2011-12-11 22:02:57] WARNING: race/race_server.lua(Line 493) [Server] setVehicleFrozen is deprecated and may not work in future versions. Please replace with setElementFrozen.

[2011-12-12 15:35:43] WARNING: [admin]\admin\server\admin_server.lua:182: Bad 'resource' pointer @ 'getResourceName'(1)
[2011-12-12 15:35:43] WARNING: [managers]\mapmanager\mapmanager_main.lua:125: Bad argument @ 'getResourceRootElement'

[2011-12-12 15:45:32] ERROR: [gameplay]\freeroam\fr_server.lua:285: attempt to compare number with nil
[2011-12-12 15:47:04] ERROR: [gameplay]\freeroam\fr_server.lua:285: attempt to compare number with nil
[2011-12-12 15:47:08] ERROR: [gameplay]\freeroam\fr_server.lua:285: attempt to compare number with nil
[2011-12-12 15:47:20] ERROR: [gameplay]\freeroam\fr_server.lua:285: attempt to compare number with nil

[2011-12-12 16:04:39] WARNING: [gamemodes][race]\race_common.lua:235: Bad argument @ 'setTimer' [Interval is below 50]

[2011-12-14 14:31:18] WARNING: [editor]\editor_main\server\saveloadtest_server.lua:39: Access denied @ 'refreshResources'

[2011-12-14 13:45:56] [gamemodes][race]\race_joiner.lua:42: addEventHandler: 'onPollEnd' with this function is already handled

TagsNo tags attached.

Activities

TreN

2011-12-14 10:50

viewer   ~~0015369

Last edited: 2011-12-14 11:04

"[2011-12-12 16:04:39] WARNING: [gamemodes][race]\race_common.lua:235: Bad argument @ 'setTimer' [Interval is below 50]" - fixed in r813,sorry for mistake

[2011-12-14 14:31:18] WARNING: [editor]\editor_main\server\saveloadtest_server.lua:39: Access denied @ 'refreshResources'
I suggest add it(editor_main) to Admin acl group(now it's in MapEditor group) in acl.xml(by default(?))

one more :
[2011-09-18 17:00:47] WARNING: edf\edf.lua:911: Bad argument @ 'setObjectRotation'

Picard

2011-12-14 13:33

updater   ~~0015373

Issue automatically marked as fixed by mantisbot ( Fixed in http://code.google.com/p/mtasa-resources/source/detail?r=816 )

Issue History

Date Modified Username Field Change